Update Password

Update a user's password.

This method allows you to update the password of a user in Saner Server. It requires user id and password.

KeyMeaningMandatoryData Type
idUser ID whose password is updated.Yesstring
passwordNew password for the user (must be at least 12 characters).Yesstring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.User.updatePassword(
    id="[email protected]",
    password="Tr7!vQm9#Lp2^Zk"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json